ALTER TABLE ASSET
ADD LIFT_CODE VARCHAR2(10 CHAR);

DROP VIEW V_MAINTENANCE_TASK;

CREATE OR REPLACE VIEW V_MAINTENANCE_TASK AS (
SELECT M.ID_MAINTENANCE_TASK, M.ID_TYPE, M.ID_STATUS, M.ID_ASSET, M.ID_DN, M.ID_CHECKLIST, M.ID_QUESTION_ANSWER_CHECKLIST, M.NNLOCATION_ID, M.DATE_FROM, M.DATE_TO, M."COMMENT",
MT.DESCRIPTION AS TYPE_DESCRIPTION, MT.TYPE AS MAIN_TYPE_CODE, MS.DESCRIPTION AS STATUS_DESCRIPTION, MS.COLOR AS STATUS_COLOR, MS.TEXT_COLOR AS STATUS_TEXT_COLOR, 
A.NAME AS ASSET_NAME, A.MANAGER AS ASSET_MANAGER, A.LIFT_CODE AS ASSET_LIFT_CODE, C.NAME AS CHECKLIST_NAME, C.MANAGER AS CHECKLIST_MANAGER
FROM MAINTENANCE_TASK M
LEFT OUTER JOIN MAINTENANCE_TYPE MT ON MT.ID_MAINTENANCE_TYPE = M.ID_TYPE
LEFT OUTER JOIN MAINTENANCE_STATUS MS ON MS.ID_MAINTENANCE_STATUS = M.ID_STATUS
LEFT OUTER JOIN ASSET A ON A.ID_ASSET = M.ID_ASSET
LEFT OUTER JOIN CHECKLIST C ON C.ID_CHECKLIST = M.ID_CHECKLIST
);

INSERT INTO MAINTENANCE_STATUS(ID_MAINTENANCE_STATUS, DESCRIPTION, ACTIVE) VALUES
(-10, 'Deleted', 'N');

ALTER TABLE CHECKLIST
ADD SERVICE_CODE VARCHAR2(6 CHAR);

ALTER TABLE MAINTENANCE_TASK
ADD ID_STORITVE NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1489, SYSDATE, '5.5', 1409, 'Maintenance')
;