ALTER TABLE POROCILA
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y'
;

ALTER TABLE PRINT_PREVOD
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y'
;

DROP VIEW V_POROCILA
;

CREATE OR REPLACE VIEW V_POROCILA AS (
SELECT P.ID_POROCILA, P.ID_KATEGORIJA, P.ID_POROCILA_RPT, P.STEVILKA_POR, P.NASLOV_POR, P.DATOTEKA_POR, P.OPIS_POROCILA, P.FILTER_POROCILA, P.INTERNI_OPIS, P.ID_TIMER_DATA,
TD.TIMER_ID AS TIMER_DATA_TIMER_ID, TD.DESCRIPTION AS TIMER_DATA_DESCRIPTION, TD.INTERNAL_DESCRIPTION AS TIMER_DATA_INTERNAL_DESC,
KA.OPIS_KATEGORIJE AS KATEGORIJE_OPIS_KATEGORIJE, KA.INTERNI_OPIS AS KATEGORIJE_INTERNI_OPIS, KA.PROGRAM AS KATEGORIJE_PROGRAM, P.ACTIVE
FROM POROCILA P
LEFT OUTER JOIN KATEGORIJE KA ON KA.ID_KATEGORIJA = P.ID_KATEGORIJA
LEFT OUTER JOIN TIMER_DATA TD ON TD.ID_TIMER_DATA = P.ID_TIMER_DATA
)
;

DROP VIEW V_PRINT_PREVOD;

CREATE OR REPLACE VIEW V_PRINT_PREVOD AS (
  SELECT P.ID_PRINTPREVOD, P.MODULE_ID, P.CR_FILE, P.JEZIK, P.POLJEJEZIK, P.KODA_JEZIKA, P.NNLOCATION_ID, P.ID_EMAIL_TEMPLATE, P.FILTERS,
  NL.OPIS AS NNLOCATION_OPIS, ET.NAME AS EMAIL_TEMPLATE_NAME, P.ACTIVE
	FROM PRINT_PREVOD P
  LEFT OUTER JOIN NNLOCATION NL ON NL.ID = P.NNLOCATION_ID
  LEFT OUTER JOIN EMAIL_TEMPLATE ET ON ET.ID_EMAIL_TEMPLATE = P.ID_EMAIL_TEMPLATE
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1900, SYSDATE, '5.5', 1820, 'Porocila active')
;
